Results 1 to 4 of 4

Thread: FC4 : libpcre.so.0 not found

  1. #1
    Join Date
    Apr 2006
    Posts
    84
    Rep Power
    10

    Default FC4 : libpcre.so.0 not found

    Hi all !
    I am trying to install Zimbra on FC4 (64bits).

    I successfully fixed the first problems by installing missing libraries, as described on this forum, but zimbra still won't start.

    I have a lot of errors about "/opt/zimbra/postfix/sbin/postconf: error while loading shared libraries: libpcre.so.0: wrong ELF class: ELFCLASS64".

    When I do "ldd /opt/zimbra/postfix-2.2.9/sbin/postfix" (earlier threads mentionned this as a troubleshooting step), I have :
    linux-gate.so.1 => (0xffffe000)
    libpcre.so.0 => not found
    libldap-2.3.so.0 => /opt/zimbra/lib/libldap-2.3.so.0 (0xf7fc3000)
    liblber-2.3.so.0 => /opt/zimbra/lib/liblber-2.3.so.0 (0xf7fb8000)
    libmysqlclient.so.14 => /opt/zimbra/lib/libmysqlclient.so.14 (0xf7e9e000)
    libm.so.6 => /lib/libm.so.6 (0x002bf000)
    libsasl2.so.2 => /opt/zimbra/cyrus-sasl/lib/libsasl2.so.2 (0xf7e89000)
    libpthread.so.0 => /lib/libpthread.so.0 (0x003d9000)
    libssl.so.5 => /lib/libssl.so.5 (0x00622000)
    libcrypto.so.5 => /lib/libcrypto.so.5 (0x009bf000)
    libnsl.so.1 => /lib/libnsl.so.1 (0xf7e74000)
    libresolv.so.2 => /lib/libresolv.so.2 (0x00672000)
    libc.so.6 => /lib/libc.so.6 (0x00194000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0x00437000)
    libz.so.1 => /usr/lib/libz.so.1 (0x003ed000)
    /lib/ld-linux.so.2 (0x00176000)
    libdl.so.2 => /lib/libdl.so.2 (0x003d3000)
    libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00762000)
    libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00820000)
    libcom_err.so.2 => /lib/libcom_err.so.2 (0x00687000)
    libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x0049d000)
    libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x0077c000)

    So libpcre.so.0 seems to be the problem here, but I don't know how to fix this !

    Thanks for your help !

  2. #2
    Join Date
    Apr 2006
    Posts
    84
    Rep Power
    10

    Default

    I *think* I fixed the problem.
    I did a "yum install pcre.i386", and now all services start wioth no error !
    Was it the right way to fix this ?
    Is it OK to use 32bits libraries on a 64bits system ?

  3. #3
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by Bingo
    Is it OK to use 32bits libraries on a 64bits system ?
    Yes, you should use the 32bit libraries. Zimbra won't run with the 64bit libraries.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  4. #4
    Join Date
    Apr 2006
    Posts
    84
    Rep Power
    10

    Default

    Quote Originally Posted by phoenix
    Yes, you should use the 32bit libraries. Zimbra won't run with the 64bit libraries.
    Ok, great then, thanks for your answer !
    Zimbra still won't start, but it's a different problem so I will start another thread if I can't fix it myself.

Similar Threads

  1. Replies: 5
    Last Post: 08-02-2007, 04:55 PM
  2. Need version 4.0.1
    By jmeek in forum Installation
    Replies: 5
    Last Post: 07-25-2007, 12:06 PM
  3. Replies: 5
    Last Post: 03-01-2007, 02:20 AM
  4. Replies: 16
    Last Post: 11-29-2006, 09:36 AM
  5. Getting problems in FC4 while instalation
    By kitty_bhoo in forum Installation
    Replies: 13
    Last Post: 09-12-2006, 10:34 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •